Subject: bug#71801: closed (Re: bug#71801: emacs 29.4 windows binaries)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 06 Jul 2024 16:50:02 +0000

Your bug report

#71801: emacs 29.4 windows binaries

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
71801: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=71801
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#71801: emacs 29.4 windows binaries
From: Corwin Brust <[email-masked]>
To: Drew Adams <[email-masked]>
Cc: [email-masked], Eli Zaretskii <[email-masked]>, "[email-masked]" <[email-masked]>
Date: Sat, 6 Jul 2024 11:49:04 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

On Sat, Jul 6, 2024 at 11:33 AM Drew Adams via Bug reports for GNU
Emacs, the Swiss army knife of text editors <[email-masked]>
wrote:
>
> Since there's no way for Emacs to know whether
> the user seeing such a warning is one kind or
> the other, consider including info such as this
> in the warning (or linked from it, if it needs
> to be a one-liner):
>
>   There's a problem with this Emacs installation.
>   If you installed a binary distro then please
>   report it to whoever produced the distro.
>

I think that's an intriguing suggestion.  I wonder about challenging
the premise a little: maybe Emacs could be made to understand the
circumstances of compilation.  For example, an option to configure (or
make) could mung the value of some constant, expecting (e.g.) me to
pass a certain value when making Emacs binaries for Windows for
redistribution.  I wonder if this would be used often enough to create
more specific messages to be worth the bother, however.   In any
event, if you'd (anyone who would) like to discuss/request that (or
just continue discussing the opportunity to add staticly to the
messaging in this one case, please open a thread on devel (or new bug
report); I've closed this one.

Subject: emacs 29.4 windows binaries
From: "Ali M." <[email-masked]>
To: [email-masked]
Date: Thu, 27 Jun 2024 09:27:51 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Can you please provide the windows binaries for release 29.4

https://ftp.gnu.org/gnu/emacs/windows/emacs-29/

Regards
Ali